Gets a list of sellable inventory.
curl --request GET \
--url https://api.example.com/api/v1/Inventories/Sellable \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Inventories/Sellable"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Inventories/Sellable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"warehouseCode": "GLW, WDI, PSO, SMA, SHW,MHT,AMC",
"warehouseName": "Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley",
"sku": "<string>",
"description": "<string>",
"wineDirectSku": "<string>",
"subInventoryCode": "<string>",
"subInventoryName": "<string>",
"qtyOnHand": 123,
"qtyOnOrders": 123,
"qtyOnIns": 123,
"qtyAvailableToSell": 123,
"qtyAvailableToPromise": 123
}
]
}Gets a list of sellable inventory.
If you specify the SKU, then other query parameters are ignored.
GET
/
api
/
v1
/
Inventories
/
Sellable
Gets a list of sellable inventory.
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
AccountNumber is the unique Customer ID in the WineDirect system.
Minimum string length:
2The warehouse (Code)
"GLW" - Glenwillow, "WDI" - Green Island, "PSO" - Paso Robles, "SMA" - Santa Maria, "SHW" - Willamette Valley "DAL" - Dallas
The code for the sub inventory where the inventory is
*IGNORED if SKU is included.
eg. "SHIP" - PRIMARY
The SKU of an inventory
Whether to restrict the inventory to those which are on hand.
*IGNORED if SKU is included.
Defaults to True (Restrict to on hand)
Response
200 - application/json
Returns the list of sellable inventory
Was this page helpful?